import { SYSTEM } from "../config/system.mjs"
import { booleanField, htmlField, stringField } from "./shared.mjs"

export default class MGNEResonanceCore extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return {
      description: htmlField(""),
      resonationId: new foundry.data.fields.StringField({
        required: true,
        nullable: false,
        initial: "accelerate",
        choices: SYSTEM.resonanceList,
      }),
      usageDie: new foundry.data.fields.StringField({
        required: true,
        nullable: false,
        initial: "d6",
        choices: SYSTEM.usageDieChoices,
      }),
      burnedOut: booleanField(false),
      broken: booleanField(false),
      durabilityDie: new foundry.data.fields.StringField({
        required: true, nullable: false, initial: "d6",
        choices: SYSTEM.usageDieChoices,
      }),
      weight: new foundry.data.fields.StringField({
        required: true, nullable: false, initial: "trivial",
        choices: SYSTEM.weightCategories,
      }),
    }
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["MGNE.ResonanceCore"]
}
